Delete a specific dashboard panel by id
curl --request DELETE \
--url https://api.rootly.com/v1/dashboard_panels/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6b86a949-3295-442e-91a6-78054c5e03ba",
"type": "dashboard_panels",
"attributes": {
"dashboard_id": "b93f9245-81c0-4bd4-bb75-8b7183b0b892",
"name": "Test panel",
"params": {
"display": "line_chart",
"datasets": [
{
"collection": "incidents",
"filter": [],
"aggregate": {
"operation": "count",
"key": "results",
"cumulative": false
}
}
]
},
"position": null,
"created_at": "2026-02-07T16:46:19.359-08:00",
"updated_at": "2026-02-07T16:46:19.954-08:00",
"data": [
{
"name": "Incidents",
"color": null,
"data": {
"2026-01-31": 0,
"2026-02-01": 0,
"2026-02-02": 0,
"2026-02-03": 0,
"2026-02-04": 0,
"2026-02-05": 0,
"2026-02-06": 0,
"2026-02-07": 0
}
}
]
}
}
}Was this page helpful?
curl --request DELETE \
--url https://api.rootly.com/v1/dashboard_panels/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6b86a949-3295-442e-91a6-78054c5e03ba",
"type": "dashboard_panels",
"attributes": {
"dashboard_id": "b93f9245-81c0-4bd4-bb75-8b7183b0b892",
"name": "Test panel",
"params": {
"display": "line_chart",
"datasets": [
{
"collection": "incidents",
"filter": [],
"aggregate": {
"operation": "count",
"key": "results",
"cumulative": false
}
}
]
},
"position": null,
"created_at": "2026-02-07T16:46:19.359-08:00",
"updated_at": "2026-02-07T16:46:19.954-08:00",
"data": [
{
"name": "Incidents",
"color": null,
"data": {
"2026-01-31": 0,
"2026-02-01": 0,
"2026-02-02": 0,
"2026-02-03": 0,
"2026-02-04": 0,
"2026-02-05": 0,
"2026-02-06": 0,
"2026-02-07": 0
}
}
]
}
}
}